{
    "objects": [
        {
            "attributes": {
                "description": "Overview of the VSphere virtualmachine metrics",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "optionsJSON": "{\"hidePanelTitles\": false, \"useMargins\": true}",
                "panelsJSON": "[{\"gridData\": {\"i\": \"80c96802-a5b2-4196-91b7-9e39f59f472b\", \"h\": 18, \"x\": 0, \"w\": 24, \"y\": 0}, \"panelIndex\": \"80c96802-a5b2-4196-91b7-9e39f59f472b\", \"embeddableConfig\": {}, \"version\": \"7.4.0\", \"panelRefName\": \"panel_0\"}, {\"gridData\": {\"i\": \"948b7896-98e3-4260-b06e-78ac354bed69\", \"h\": 18, \"x\": 24, \"w\": 24, \"y\": 0}, \"panelIndex\": \"948b7896-98e3-4260-b06e-78ac354bed69\", \"embeddableConfig\": {}, \"version\": \"7.4.0\", \"panelRefName\": \"panel_1\"}, {\"gridData\": {\"i\": \"b6d0ae24-0b52-4d16-bbcd-a9d6143054d2\", \"h\": 19, \"x\": 0, \"w\": 24, \"y\": 18}, \"panelIndex\": \"b6d0ae24-0b52-4d16-bbcd-a9d6143054d2\", \"embeddableConfig\": {}, \"version\": \"7.4.0\", \"panelRefName\": \"panel_2\"}, {\"gridData\": {\"i\": \"52f8ef2e-3fa3-4494-bdb4-179737fc2fda\", \"h\": 19, \"x\": 24, \"w\": 24, \"y\": 18}, \"panelIndex\": \"52f8ef2e-3fa3-4494-bdb4-179737fc2fda\", \"embeddableConfig\": {}, \"version\": \"7.4.0\", \"panelRefName\": \"panel_3\"}, {\"gridData\": {\"i\": \"dfc089db-6bab-4410-962d-14cc622d7681\", \"h\": 35, \"x\": 0, \"w\": 48, \"y\": 37}, \"panelIndex\": \"dfc089db-6bab-4410-962d-14cc622d7681\", \"embeddableConfig\": {\"vis\": null}, \"version\": \"7.4.0\", \"panelRefName\": \"panel_4\"}]",
                "timeRestore": false,
                "title": "[Metricbeat VSphere] VMs overview ECS",
                "version": 1
            },
            "id": "8a2d1540-f049-11e9-aaf3-15199b632da7",
            "migrationVersion": {
                "dashboard": "7.3.0"
            },
            "references": [
                {
                    "id": "dae93d90-f041-11e9-aaf3-15199b632da7",
                    "name": "panel_0",
                    "type": "visualization"
                },
                {
                    "id": "a6026680-f017-11e9-aaf3-15199b632da7",
                    "name": "panel_1",
                    "type": "visualization"
                },
                {
                    "id": "5c6a93a0-f04c-11e9-aaf3-15199b632da7",
                    "name": "panel_2",
                    "type": "visualization"
                },
                {
                    "id": "9afddd20-f04c-11e9-aaf3-15199b632da7",
                    "name": "panel_3",
                    "type": "visualization"
                },
                {
                    "id": "e3a3e080-f018-11e9-aaf3-15199b632da7",
                    "name": "panel_4",
                    "type": "visualization"
                }
            ],
            "type": "dashboard",
            "updated_at": "2019-10-19T09:21:58.142Z",
            "version": "WzY4NywxXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "savedSearchRefName": "search_0",
                "title": "CPU/RAM/Network per VM [Metricbeat VSphere] ECS",
                "uiStateJSON": "{\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}}",
                "version": 1,
                "visState": "{\"params\": {\"totalFunc\": \"sum\", \"perPage\": 10, \"sort\": {\"columnIndex\": null, \"direction\": null}, \"dimensions\": {\"buckets\": [{\"params\": {}, \"aggType\": \"terms\", \"format\": {\"params\": {\"id\": \"string\", \"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\"}, \"id\": \"terms\"}, \"accessor\": 0}, {\"params\": {}, \"aggType\": \"terms\", \"format\": {\"params\": {\"id\": \"number\", \"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\"}, \"id\": \"terms\"}, \"accessor\": 1}, {\"params\": {}, \"aggType\": \"terms\", \"format\": {\"params\": {\"id\": \"bytes\", \"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\"}, \"id\": \"terms\"}, \"accessor\": 2}, {\"params\": {}, \"aggType\": \"terms\", \"format\": {\"params\": {\"id\": \"string\", \"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\"}, \"id\": \"terms\"}, \"accessor\": 3}], \"metrics\": [{\"params\": {}, \"aggType\": \"count\", \"format\": {\"id\": \"number\"}, \"accessor\": 4}]}, \"showPartialRows\": false, \"percentageCol\": \"\", \"showTotal\": false, \"showMetricsAtAllLevels\": false}, \"aggs\": [{\"params\": {}, \"id\": \"1\", \"type\": \"count\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"orderBy\": \"1\", \"field\": \"vsphere.virtualmachine.name\", \"otherBucketLabel\": \"Other\", \"size\": 50, \"order\": \"desc\", \"otherBucket\": false, \"missingBucketLabel\": \"Missing\", \"customLabel\": \"Name\", \"missingBucket\": false}, \"id\": \"2\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"bucket\"}, {\"params\": {\"orderBy\": \"custom\", \"orderAgg\": {\"params\": {\"field\": \"vsphere.virtualmachine.cpu.used.mhz\"}, \"id\": \"5-orderAgg\", \"type\": \"max\", \"enabled\": true, \"schema\": \"orderAgg\"}, \"field\": \"vsphere.virtualmachine.cpu.used.mhz\", \"otherBucketLabel\": \"Other\", \"size\": 5, \"order\": \"desc\", \"otherBucket\": false, \"missingBucketLabel\": \"Missing\", \"customLabel\": \"Used CPU\", \"missingBucket\": false}, \"id\": \"5\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"bucket\"}, {\"params\": {\"orderBy\": \"custom\", \"orderAgg\": {\"params\": {\"field\": \"vsphere.virtualmachine.memory.total.guest.bytes\"}, \"id\": \"3-orderAgg\", \"type\": \"max\", \"enabled\": true, \"schema\": \"orderAgg\"}, \"field\": \"vsphere.virtualmachine.memory.total.guest.bytes\", \"otherBucketLabel\": \"Other\", \"size\": 15, \"order\": \"desc\", \"otherBucket\": false, \"missingBucketLabel\": \"Missing\", \"customLabel\": \"Total RAM\", \"missingBucket\": false}, \"id\": \"3\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"bucket\"}, {\"params\": {\"orderBy\": \"1\", \"field\": \"vsphere.virtualmachine.network_names\", \"otherBucketLabel\": \"Other\", \"size\": 5, \"order\": \"desc\", \"otherBucket\": false, \"missingBucketLabel\": \"Missing\", \"customLabel\": \"Networks\", \"missingBucket\": false}, \"id\": \"4\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"bucket\"}], \"type\": \"table\", \"title\": \"CPU/RAM/Network per VM [Metricbeat VSphere] ECS\"}"
            },
            "id": "dae93d90-f041-11e9-aaf3-15199b632da7",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [
                {
                    "id": "1411b690-f017-11e9-aaf3-15199b632da7",
                    "name": "search_0",
                    "type": "search"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-10-19T09:14:27.107Z",
            "version": "WzQ2MCwxXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "savedSearchRefName": "search_0",
                "title": "OS Distribution [Metricbeat VSphere] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"isDonut\": true, \"type\": \"pie\", \"addLegend\": true, \"dimensions\": {\"metric\": {\"params\": {}, \"aggType\": \"count\", \"format\": {\"id\": \"number\"}, \"accessor\": 1}, \"buckets\": [{\"params\": {}, \"aggType\": \"terms\", \"format\": {\"params\": {\"id\": \"string\", \"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\"}, \"id\": \"terms\"}, \"accessor\": 0}]}, \"legendPosition\": \"right\", \"labels\": {\"show\": false, \"last_level\": true, \"truncate\": 100, \"values\": true}, \"addTooltip\": true}, \"aggs\": [{\"params\": {}, \"id\": \"1\", \"type\": \"count\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"orderBy\": \"1\", \"field\": \"vsphere.virtualmachine.os\", \"otherBucketLabel\": \"Other\", \"size\": 20, \"order\": \"desc\", \"otherBucket\": false, \"missingBucketLabel\": \"Missing\", \"customLabel\": \"Operating Systems\", \"missingBucket\": false}, \"id\": \"2\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"segment\"}], \"type\": \"pie\", \"title\": \"OS Pie [Metricbeat VSphere] ECS\"}"
            },
            "id": "a6026680-f017-11e9-aaf3-15199b632da7",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [
                {
                    "id": "1411b690-f017-11e9-aaf3-15199b632da7",
                    "name": "search_0",
                    "type": "search"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-10-19T09:14:27.107Z",
            "version": "WzQ2MSwxXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "savedSearchRefName": "search_0",
                "title": "Networks from virtualmachine [Metricbeat VSphere] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"isDonut\": true, \"type\": \"pie\", \"addLegend\": true, \"dimensions\": {\"metric\": {\"params\": {}, \"aggType\": \"count\", \"format\": {\"id\": \"number\"}, \"accessor\": 1}, \"buckets\": [{\"params\": {}, \"aggType\": \"terms\", \"format\": {\"params\": {\"id\": \"string\", \"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\"}, \"id\": \"terms\"}, \"accessor\": 0}]}, \"legendPosition\": \"right\", \"labels\": {\"show\": false, \"last_level\": true, \"truncate\": 100, \"values\": true}, \"addTooltip\": true}, \"aggs\": [{\"params\": {}, \"id\": \"1\", \"type\": \"count\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"orderBy\": \"1\", \"field\": \"vsphere.virtualmachine.network_names\", \"otherBucketLabel\": \"Other\", \"size\": 15, \"order\": \"desc\", \"otherBucket\": false, \"missingBucketLabel\": \"Missing\", \"customLabel\": \"Networks\", \"missingBucket\": false}, \"id\": \"2\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"segment\"}], \"type\": \"pie\", \"title\": \"Networks from virtualmachine [Metricbeat VSphere] ECS\"}"
            },
            "id": "5c6a93a0-f04c-11e9-aaf3-15199b632da7",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [
                {
                    "id": "1411b690-f017-11e9-aaf3-15199b632da7",
                    "name": "search_0",
                    "type": "search"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-10-19T09:14:27.107Z",
            "version": "WzQ2MiwxXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "savedSearchRefName": "search_0",
                "title": "VMs per ESXI host [Metricbeat VSphere] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"params\": {\"isDonut\": true, \"type\": \"pie\", \"addLegend\": true, \"dimensions\": {\"metric\": {\"params\": {}, \"aggType\": \"count\", \"format\": {\"id\": \"number\"}, \"accessor\": 1}, \"buckets\": [{\"params\": {}, \"aggType\": \"terms\", \"format\": {\"params\": {\"id\": \"string\", \"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\"}, \"id\": \"terms\"}, \"accessor\": 0}]}, \"legendPosition\": \"right\", \"labels\": {\"show\": false, \"last_level\": true, \"truncate\": 100, \"values\": true}, \"addTooltip\": true}, \"aggs\": [{\"params\": {}, \"id\": \"1\", \"type\": \"count\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"orderBy\": \"1\", \"field\": \"vsphere.virtualmachine.host.hostname\", \"otherBucketLabel\": \"Other\", \"size\": 20, \"order\": \"desc\", \"otherBucket\": false, \"missingBucketLabel\": \"Missing\", \"customLabel\": \"VM ESXi Host\", \"missingBucket\": false}, \"id\": \"2\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"segment\"}], \"type\": \"pie\", \"title\": \"how many VMs run on a ESXI host [Metricbeat VSphere] ECS\"}"
            },
            "id": "9afddd20-f04c-11e9-aaf3-15199b632da7",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [
                {
                    "id": "1411b690-f017-11e9-aaf3-15199b632da7",
                    "name": "search_0",
                    "type": "search"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-10-19T09:14:27.107Z",
            "version": "WzQ2MywxXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"language\": \"kuery\", \"query\": \"\"}, \"filter\": []}"
                },
                "savedSearchRefName": "search_0",
                "title": "VM placements on ESXi Hosts[Metricbeat VSphere] ECS",
                "uiStateJSON": "{\"vis\": {\"defaultColors\": {\"80 - 120\": \"rgb(116,196,118)\", \"0 - 40\": \"rgb(247,252,245)\", \"40 - 80\": \"rgb(199,233,192)\", \"120 - 160\": \"rgb(35,139,69)\"}}}",
                "version": 1,
                "visState": "{\"params\": {\"enableHover\": false, \"colorSchema\": \"Greens\", \"colorsRange\": [], \"type\": \"heatmap\", \"addLegend\": true, \"setColorRange\": false, \"times\": [], \"addTooltip\": true, \"colorsNumber\": 4, \"legendPosition\": \"right\", \"dimensions\": {\"y\": [{\"params\": {}, \"aggType\": \"count\", \"format\": {\"id\": \"number\"}, \"accessor\": 2}], \"series\": [{\"params\": {}, \"aggType\": \"terms\", \"format\": {\"params\": {\"id\": \"string\", \"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\"}, \"id\": \"terms\"}, \"accessor\": 0}], \"x\": {\"params\": {}, \"aggType\": \"terms\", \"format\": {\"params\": {\"id\": \"string\", \"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\"}, \"id\": \"terms\"}, \"accessor\": 1}}, \"invertColors\": false, \"percentageMode\": false, \"valueAxes\": [{\"id\": \"ValueAxis-1\", \"labels\": {\"rotate\": 0, \"color\": \"black\", \"show\": false, \"overwriteColor\": false}, \"show\": false, \"scale\": {\"defaultYExtents\": false, \"type\": \"linear\"}, \"type\": \"value\"}]}, \"aggs\": [{\"params\": {}, \"id\": \"1\", \"type\": \"count\", \"enabled\": true, \"schema\": \"metric\"}, {\"params\": {\"orderBy\": \"1\", \"field\": \"vsphere.virtualmachine.name\", \"otherBucketLabel\": \"Other\", \"size\": 50, \"order\": \"desc\", \"otherBucket\": false, \"missingBucketLabel\": \"Missing\", \"customLabel\": \"VM Name\", \"missingBucket\": false}, \"id\": \"2\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"group\"}, {\"params\": {\"orderBy\": \"1\", \"field\": \"vsphere.virtualmachine.host.hostname\", \"otherBucketLabel\": \"Other\", \"size\": 50, \"order\": \"desc\", \"otherBucket\": false, \"missingBucketLabel\": \"Missing\", \"customLabel\": \"ESXi Host\", \"missingBucket\": false}, \"id\": \"3\", \"type\": \"terms\", \"enabled\": true, \"schema\": \"segment\"}], \"type\": \"heatmap\", \"title\": \"VM placements on ESXi Hosts[Metricbeat VSphere] ECS\"}"
            },
            "id": "e3a3e080-f018-11e9-aaf3-15199b632da7",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [
                {
                    "id": "1411b690-f017-11e9-aaf3-15199b632da7",
                    "name": "search_0",
                    "type": "search"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-10-19T09:14:27.107Z",
            "version": "WzQ2NCwxXQ=="
        },
        {
            "attributes": {
                "columns": [
                    "_source"
                ],
                "description": "",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"highlightAll\": true, \"query\": {\"language\": \"kuery\", \"query\": \"event.module: \\\"vsphere\\\" \"}, \"indexRefName\": \"kibanaSavedObjectMeta.searchSourceJSON.index\", \"filter\": [], \"version\": true}"
                },
                "sort": [
                    [
                        "@timestamp",
                        "desc"
                    ]
                ],
                "title": "search for event module [Metricbeat VSphere] ECS",
                "version": 1
            },
            "id": "1411b690-f017-11e9-aaf3-15199b632da7",
            "migrationVersion": {
                "search": "7.4.0"
            },
            "references": [
                {
                    "id": "metricbeat-*",
                    "name": "kibanaSavedObjectMeta.searchSourceJSON.index",
                    "type": "index-pattern"
                }
            ],
            "type": "search",
            "updated_at": "2019-10-19T09:14:27.107Z",
            "version": "WzMwNiwxXQ=="
        }
    ],
    "version": "7.4.0"
}